<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    

    
    <style>
        body{
            height: 100vh;
            width: 100%;
            background: url('https://i.pinimg.com/originals/9f/1f/68/9f1f68765ddd8bf7f3f4b9345090e6ba.gif');
            background-size: cover;
            background-repeat: no-repeat;
            background-attachment: fixed;
        }
        
        ol li {
            list-style: none;
        }
        ol li a{
            color: #000;
            text-decoration: none;
        }
         ol li a:hover{
            
            background: rgba(0, 0, 0, 0.56);
        } 
        
        /*

Monokai Sublime style. Derived from Monokai by noformnocontent http://nn.mit-license.org/

*/

.hljs {
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  background: #23241f;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}
    </style>
</head>
<body>
   <div class="container contenedor-fondo">
       <div class="row">
           <div class="col-md-3">
              <div class="mt-4 bg-warning cont-array">
                  <h4>Array</h4>
                  <ol>
                      
                      
                      <li><a href="#arrayFor">Array.for()</a></li>
                      <li><a href="#arrayOf">Array.of()</a></li>
                      <li><a href="#arraySome">Array.some()</a></li>
                      <li><a href="#arrayEvery">Array.every()</a></li>
                      <li><a href="#arrayFilter">Array.filter()</a></li>
                      <li><a href="#arrayMap">Array.map()</a></li>
                      <li><a href="#arrayReduce">Array.reduce()</a></li>
                      <li><a href="#arraySort">Array.sort()</a></li>
                  </ol>
              </div>
              
              <div class="bg-success">
                  <h4>String</h4>
                  <ol>
                                            
                      <li><a href="#string-subst">String.substring()</a></li>
                      <li><a href="#string-indexof">String.indexof()</a></li>
                      <li><a href="#string-slice">String.slice()</a></li>
                      <li><a href="#string-split">String.split()</a></li>

                  </ol>
              </div>
           </div>
              
             
           <!--  Seccion derecha -->
           <div class="col-md-9 ">
               <div class="mt-4 bg-warning px-4 pt-3">
                   <!------  ARRAYS  ------>
                    <div>
                        <h1>Arrays</h1>
                        <p>
                            El objeto Array de JavaScript es un objeto global que es usado en la construcción de arrays, que son objetos tipo lista de alto nivel.
                        </p>
                        <h4>Crear un Array</h4>
                        <pre>
                            <code class="plaintext">
                                var frutas = ['Manzana', 'Banana']; 
                                console.log(frutas.length); 
                                // 2
                            </code>
                        </pre>
                    </div>
                    
                    
                    <hr>
                    <div id="arrayOf">
                        <h4>Array.of()</h4>
                        
                        <p>
                            El método <strong>Array.of() </strong>crea una nueva instancia Array con un número variable de elementos pasados como argumento, independientemente del número o del tipo.
                            <br>
                            La diferencia entre<strong>Array.of() </strong> y el constructor <strong>Array</strong> reside en como maneja los parámetros de tipo entero: <strong>Array.of(7)</strong> crea un array con un solo elemento, 7, mientras que <strong>Array(7)</strong> crea un array vacío con una propiedad length de 7 (Nota: esto implica un array de 7 ranuras vacías, no ranuras con valores undefined).
                        </p>
                        
                        <pre>
                            <code>
                            Array.of(7);       // [7] 
                            Array.of(1, 2, 3); // [1, 2, 3] 

                            Array(7);          // [ , , , , , , ] 
                            Array(1, 2, 3);    // [1, 2, 3] 
                        </code>
                        </pre>
                    </div>
                    <hr>
                    
                    <div id="arraySome">
                        <h4>Array.some()</h4>
                        <p>
                            El método <strong>some()</strong> retorna un valor booleano, true si algún elemento del array cumple con la condición implementada por la función brindada, y false en caso de que ningún elemento cumpla con dicha condición.
                        </p>
                        <p>
                            some() ejecuta la función callback una vez por cada elemento presente en el array hasta que encuentre uno donde callback retorna un valor verdadero (true). Si se encuentra dicho elemento, some() retorna true inmediatamente. Si no, some() retorna false. callback es invocada sólo para los índices del array que tienen valores asignados; no es invocada para índices que han sido borrados o a los que nunca se les han asignado valores.
                        </p>
                        <p>
                            callback es invocada con tres argumentos: el valor del elemento, el índice del elemento, y el objeto array sobre el que se itera.
                        </p>
                        <p>
                            Si se indica un parámetro thisArg a some(), se pasará a callback cuando es invocada, para usar como valor this. Si no, el valor undefined será pasado para usar como valor this. El valor this value observable por callback se determina de acuerdo a las reglas habituales para determinar el this visible por una función.
                        </p>
                        <p>                           
                            some() no modifica el array con el cual fue llamada.
                        </p>
                        <p>                            
                            El rango de elementos procesados por some() es configurado antes de la primera invocación de callback. Los elementos anexados al array luego de que comience la llamada a some() no serán visitados por callback. Si un elemento existente y no visitado del array es alterado por callback, su valor pasado al callback será el valor al momento que some() visita el índice del elemento; los elementos borrados no son visitados.
                        </p>
                        <br>
                        <h4>Ejemplos</h4>
                        <p>
                            El siguiente ejemplo verifica si algún elemento del array es mayor a 10.
                        </p>
                        <pre>
                            <code>
                            function isBiggerThan10(element, index, array) {
                                return element > 10;
                            }
                            [2, 5, 8, 1, 4].some(isBiggerThan10);  // false
                            [12, 5, 8, 1, 4].some(isBiggerThan10); // true
                        </code>
                        </pre>
                    </div>
                    <hr>
                    <div id="arrayEvery()">
                        <h4>Array.every()</h4>
                        <p> 
                            El método <strong>every()</strong> devuelve un booleano, true si todos los elementos en el arreglo pasan la condición implementada por la función dada y false si alguno no la cumple.
                        </p>
                        <h4>Ejemplo</h4>
                        <p>
                            El siguiente ejemplo prueba si todos los elementos de un arreglo son mayores que 10.
                        </p>
                        <pre>
                            <code>
                               function esSuficientementeGrande(elemento, indice, arrreglo) {
                                  return elemento >= 10;
                                }
                                [12, 5, 8, 130, 44].every(esSuficientementeGrande);   // false
                                [12, 54, 18, 130, 44].every(esSuficientementeGrande); // true
                            
                            </code>
                        </pre>
                        <p>
                            Las funciones flecha proveen una sintaxis más corta para la misma prueba.
                        </p>
                        <pre>
                            <code>
                                [12, 5, 8, 130, 44].every(elem => elem >= 10); // false 
                                [12, 54, 18, 130, 44].every(elem => elem >= 10); // true
                            </code>
                        </pre>
                    </div>
                    <hr>
                    <div id="arrayFilter()">
                        <h4>Array.filter()</h4>
                        <p> 
                           El método <strong>filter()</strong> crea un nuevo array con todos los elementos que cumplan la condición implementada por la función dada.
                        </p>
                        <h4>Ejemplos</h4>
                        <p>
                            El siguiente ejemplo usa filter() para crear un array filtrado que excluye todos los elementos con valores inferiores a 10.
                        </p>
                        <pre>
                            <code>
                                function esSuficientementeGrande(elemento) {
                                  return elemento >= 10;
                                }
                                var filtrados = [12, 5, 8, 130, 44].filter(esSuficientementeGrande);
                                // filtrados es [12, 130, 44] 
                            </code>
                        </pre>
                        <h6>Filtrando entradas inválidas desde un JSON</h6>
                        <p>
                            El siguiente ejemplo emplea filter() para crear un json filtrado con todos lo elementos que tengan id numérico distinto de cero.
                        </p>
                        <pre>
                            <code>
                                var arr = [ 
                                  { id: 15 }, 
                                  { id: -1 },
                                  { id: 0 },
                                  { id: 3 },
                                  { id: 12.2 },
                                  { },
                                  { id: null },
                                  { id: NaN },
                                  { id: 'undefined' }
                                ];

                                var entradasInvalidas = 0;
                                // Si el elemento tiene un atributo id, y su valor correspondiente es un numero
                                // Y no es el valor NaN, entonces es una entrada válida
                                function filtrarPorID(obj) {
                                  if ('id' in obj &amp;&amp; typeof(obj.id) === 'number' &amp;&amp; !isNaN(obj.id)) {
                                    return true;
                                  } else {
                                    entradasInvalidas++;
                                    return false;
                                  }
                                }

                                var arrPorID = arr.filter(filtrarPorID);

                                console.log('Array Filtrado\n', arrPorID); 
                                // [{ id: 15 }, { id: -1 }, { id: 0 }, { id: 3 }, { id: 12.2 }]

                                console.log('Número de Entradas Invalidas = ', entradasInvalidas); 
                                // 4
                            </code>
                        </pre>
                        <br>
                        <h6>Busqueda en el arreglo</h6>
                        <p>
                            El siguiente ejemplo emplea filter() para filtrar el contendio de un arreglo en función de un criterio de búsqueda.
                        </p>
                        
                        <pre>
                            <code>
                                var fruits = ['apple', 'banana', 'grapes', 'mango', 'orange'];

                                /**
                                 * Filtra la matríz en función de un criterio de búsqueda (query)
                                 */
                                function filterItems(query) {
                                  return fruits.filter(function(el) {
                                      return el.toLowerCase().indexOf(query.toLowerCase()) > -1;
                                  })
                                }

                                console.log(filterItems('ap')); // ['apple', 'grapes']
                                console.log(filterItems('an')); // ['banana', 'mango', 'orange']
                            </code>
                        </pre>
                    </div>
                    <hr>
                    <div id="arrayMap()">
                        <h4>Array.map()</h4>
                        <p> 
                            El método <strong>map()</strong> crea un nuevo array con los resultados de la llamada a la función indicada aplicados a cada uno de sus elementos.
                        </p>
                        <h4>Ejemplo</h4>
                        <p>El siguiente código itera sobre un array de números, aplicándoles la raíz cuadrada a cada uno de sus elementos, produciendo un nuevo array a partir del inicial.</p>
                        <pre>
                            <code>
                                var numeros= [1, 4, 9];
                                var raices = numeros.map(Math.sqrt);
                                // raices tiene [1, 2, 3]
                                // numeros aún mantiene [1, 4, 9]
                            </code>
                        </pre>
                        <h6>Mapear un array de números usando una función con un argumento</h6>
                        <p>
                            El siguiente código muestra cómo trabaja map cuando se utiliza una función que requiere de un argumento. El argumento será asignado automáticamente a cada elemento del arreglo conforme map itera el arreglo original.
                        </p>
                        <pre>
                            <code>
                                var numeros = [1, 4, 9];
                                var dobles  = numeros.map(function(num) {
                                  return num * 2;
                                });

                                // dobles es ahora [2, 8, 18]
                                // numeros sigue siendo [1, 4, 9]
                            </code>
                        </pre>
                    </div>
                    <hr>
                    <div id="arraySort()">
                        <h4>Array.sort()</h4>
                        <p> 
                            El método <strong>sort()</strong> ordena los elementos de un array localmente y devuelve el array. La ordenación no es necesariamente estable. El modo de ordenación por defecto responde a la posición del valor del string de acuerdo a su valor.
                        </p>
                        <h4>Ejemplo</h4>
                        <pre>
                            <code>
                                var arr = [ 'a', 'b', 'Z', 'Aa', 'AA' ]; 
                                arr.sort();  //[ 'AA', 'Aa', 'Z', 'a', 'b' ]
                                
                                var arr = [ 40, 1, 5, 200 ];
                                function comparar ( a, b ){ return a - b; } 
                                arr.sort( comparar );  // [ 1, 5, 40, 200 ] 
                            </code>
                        </pre>
                    </div>
                    <hr>
                    
                    
                </div>
                
                
                
                <!------  Strings  ----->
                <div class="mt-5 bg-success">
                    <div>
                        <h1>Strings</h1>
                        <p>
                            Una cadena de JavaScript almacena una serie de caracteres como "John Doe". <br>
                            Una cadena puede ser cualquier texto dentro de comillas dobles o simples:
                        </p>
                        <pre>
                            <code>
                                var carname = "Volvo XC60";
                                var carname = 'Volvo XC60';
                            </code>
                        </pre>
                    </div>
                    
                    <hr>

                    <hr>
                    <div id="string-substring()">
                        <h4>string.substr()</h4>
                        <p>
                            El metodo <strong>substring()</strong> devuelve un subconjunto de un objeto String.
                        </p>
                        <p>
                            cadena.substring(indiceA[, indiceB'])
                        </p>
                        <p>
                            <strong>indiceA</strong><br>
                            Un entero entre 0 y la longitud de la cadena menos 1. <br><br>
                            <strong>indiceB</strong><br>
                            (opcional) Un entero entre 0 y la longitud de la cadena.
                        </p>
                        <h5>Descripcion</h5>
                        <p>
                            substring extrae caracteres desde indiceA hasta indiceB sin incluirlo. En particular:
                            <ul>
                                <li>Si indiceA es igual a indiceB, substring devuelve una cadena vacía.</li>
                                <li>Si se omite el indiceB, substring extrae caracteres hasta el final de la cadena.</li>
                                <li>Si el argumento es menor que 0 o es NaN, se trata como si fuese 0.</li>
                                <li>Si el argumento es mayor que nombreCadena.length, se trata como si fuese nombreCadena.length.</li>
                            </ul>
                            Si indiceA es mayor que indiceB, entonces el efecto de substring es como si los dos argumentos se intercambiasen; por ejemplo, cadena.substring(1, 0) == cadena.substring(0, 1).
                        </p>
                        
                        <br>
                        <h4>Ejemplo</h4>
                        <p>
                            El siguiente ejemplo usa substring para mostrar caracteres de la cadena "Mozilla":
                        </p>
                       <pre>
                            <code>
                                // asume una función print ya definida 
                                var cualquierCadena = "Mozilla";

                                // Muestra "Moz"
                                print(cualquierCadena.substring(0,3));
                                print(cualquierCadena.substring(3,0));

                                // Muestra "lla"
                                print(cualquierCadena.substring(4,7));
                                print(cualquierCadena.substring(7,4));

                                // Muestra "Mozill"
                                print(cualquierCadena.substring(0,6));
                                print(cualquierCadena.substring(6,0));

                                // Muestra "Mozilla"
                                print(cualquierCadena.substring(0,7));
                                print(cualquierCadena.substring(0,10));
                            </code>
                       </pre>
                        <br>
                        <h5>Ejempo 2</h5>
                        <p>
                            El siguiente ejemplo reemplaza una subcadena dentro de una cadena. Reemplazará tanto caracteres individuales como subcadenas. La llamada de la función al final del ejemplo cambia la cadena "Bravo Nuevo Mundo" por "Bravo Nueva Web".
                        </p>
                        <pre>
                            <code>
                                function reemplazarCadena(cadenaVieja, cadenaNueva, cadenaCompleta) { 
                                // Reemplaza cadenaVieja por cadenaNueva en cadenaCompleta

                                   for (var i = 0; i &lt; cadenaCompleta.length; i++) {
                                      if (cadenaCompleta.substring(i, i + cadenaVieja.length) == cadenaVieja) {
                                         cadenaCompleta= cadenaCompleta.substring(0, i) + cadenaNueva + cadenaCompleta.substring(i + cadenaVieja.length, cadenaCompleta.length);
                                      }
                                   }
                                   return cadenaCompleta;
                                }

                                reemplazarCadena("Mundo", "Web", "Bravo Nuevo Mundo");
                            </code>
                        </pre>
                    </div>
                    <hr>
                    <div id="string-indexof()">
                        <h4>string.indexof()</h4>
                        <p>
                            El metodo <strong>indexof()</strong> devuelve el índice, dentro del objeto String que realiza la llamada, de la primera ocurrencia del valor especificado, comenzando la búsqueda desde indiceDesde; o -1 si no se encuentra dicho valor.
                        </p>
                        <p>
                            cadena.indexOf(valorBusqueda[, indiceDesde])
                        </p>
                        <p>
                            <strong>valorBusqueda</strong><br>
                            Una cadena que representa el valor de búsqueda.
                            indiceDesde <br><br>
                            <strong>indiceDesde</strong><br>
                            La localización dentro de la cadena llamada desde la que empezará la búsqueda. Puede ser un entero entre 0 y la longitud de la cadena. El valor predeterminado es 0.
                            
                        </p>
                        <h5>Descripcion</h5>
                        <p>
                            Los caracteres de una cadena se indexan de izquierda a derecha. El índice del primer carácter es 0, y el índice del último carácter de una cadena llamada nombreCadena es nombreCadena.length - 1.
                        </p>
                        <pre>
                            <code>
                                "Blue Whale".indexOf("Blue")    // returns 0 
                                "Blue Whale".indexOf("Blute")   // returns -1
                                "Blue Whale".indexOf("Whale",0) // returns 5 
                                "Blue Whale".indexOf("Whale",5) // returns 5
                                "Blue Whale".indexOf("",9)      // returns 9
                                "Blue Whale".indexOf("",10)     // returns 10
                                "Blue Whale".indexOf("",11)     // returns 10
                            </code>
                        </pre>
                        <br>
                        <p>
                            El método indexOf es sensible a mayúsculas. Por ejemplo, la siguiente expresión devuelve -1:
                        </p>
                        <pre>
                            <code>
                                "Ballena Azul".indexOf("azul")
                            </code>
                        </pre>
                        <br><br>
                        <h4>Ejemplo</h4>
                        <p>
                            El siguiente ejemplo utiliza indexOf y lastIndexOf para localizar valores dentro de la cadena "Brave new world".
                        </p>
                        <pre>
                            <code>
                                var cualquierCadena="Brave new world" 

                                document.write("&lt;P&gt;The index of the first w from the beginning is " +
                                   cualquierCadena.indexOf("w"))         // Muestra 8

                                document.write("&lt;P&gt;The index of the first w from the beginning is " +
                                   cualquierCadena.lastIndexOf("w"))    // Muestra 10

                                document.write("&lt;P&gt;The index of 'new' from the beginning is " +
                                   cualquierCadena.indexOf("new"))      // Muestra 6

                                document.write("&lt;P&gt;The index of 'new' from the end is " +
                                   cualquierCadena.lastIndexOf("new"))  // Muestra 6
                            </code>
                        </pre>
                        
                    </div>
                    <hr>
                    <div id="string-slice()">
                        <h4>string.slice()</h4>
                        <p>
                            El metodo <strong>slice()</strong> extrae una sección de una cadena y devuelve una cadena nueva.
                        </p>
                        <p>
                            cadena.slice(inicioTrozo[, finTrozo])
                        </p>
                        <p>
                            <strong>inicioTrozo</strong><br>
                            El índice basado en cero en el cual empieza la extracción.  Si es negativo, se trata como longCadena + inicioTrozo donde longCadena es la longitud de la cadena (por ejemplo, si inicioTrozo es -3 se trata como longCadena - 3)
                            <br><br>
                            <strong>finTrozo</strong><br>
                            Opcional. El índice basado en cero en el que termina la extracción. Si se omite, slice extrae hasta el final de la cadena.  Si es negativo, se trata como longCadena + finTrozo donde longCadena es la longitud de la cadena (por ejemplo, si finTrozo es -3 se trata como longCadena - 3).
                            
                        </p>
                        
                        <br>
                        <h4>Ejemplo</h4>
                        <p>
                           El siguiente ejemplo usa slice() para crear una nueva cadena.
                        </p>
                        <pre>
                            <code>
                                var cadena1 = "La mañana se nos echa encima.";
                                var cadena2 = cadena1.slice(3, -2);
                                console.log(cadena2);
                                
                                resultado: <em>mañana se nos echa encim</em>
                            </code>
                        </pre>
                        <br>
                        <h4>Ejemplo2</h4>
                        <p>
                            El siguiente ejemplo usa slice() con índices negativos.
                        </p>
                        <pre>
                            <code>
                                var cad = "La mañana se nos echa encima.";
                                cad.slice(-3);     // retorna 'ma.'
                                cad.slice(-3, -1); // retorna 'ma'
                                cad.slice(0, -1);  // retorna 'La mañana se nos echa encima'
                            </code>
                        </pre>
                    </div>
                    <hr>
                    <div id="string-split()">
                        <h4>string.split()</h4>
                        <p>
                            El metodo <strong>split()</strong>  divide un objeto de tipo String en un array (vector) de 
                            cadenas mediante la separacion de cadenas en subcadenas.
                        </p>
                        <p>
                            cadena.split([separador][,limite])
                        </p>
                        <p>
                            <strong>separador</strong><br>
                            Especifica el carácter a usar para la separación de la cadena. El separador es tratado como una cadena o como una expresión regular. Si se omite el separador, el array devuelto contendrá un sólo elemento con la cadena completa.
                            <br><br>
                            <strong>limite</strong><br>
                            Opcional. Entero que especifica un límite sobre el número de divisiones a realizar. El método split() todavía se divide en todas las concordancias del separador, pero divide la matriz devuelta en la cantidad de elementos impuesta por el limite.
                            
                        </p>
                        <p>
                            El método split() devuelve el nuevo array.
                            <br><br>
                            Cuando se encuentra, el separador es eliminado de la cadena y las subcadenas obtenidas se devuelven en un array. Si el separador no es encontrado o se omite, el array contendrá un único elemento con la cadena original completa. Si el separador es una cadena vacía la cadena es convertida en un array de carácteres.
                            <br><br>
                            Si el separador es una expresión regular que contiene paréntesis de captura, entonces cada vez que el separador concuerda, los resultados (incluído cualquier resultado indefinido) de los paréntesis de captura son divididos en el array resultante. Sin embargo no todos los navegadores soportan esta característica.
                        </p>
                        
                        <br>
                        <h4>Ejemplo</h4>
                        <p>
                           El siguiente ejemplo define una función que divide una cadena en un array de cadenas usando el separador especificado. Después de la división de la cadena, la función muestra mensajes indicando la cadena original (antes de la división), el separador usado, el número de elementos del array y los elementos individuales del array.
                        </p>
                        <pre>
                             <code >
                                function dividirCadena(cadenaADividir,separador) { 
                                   var arrayDeCadenas = cadenaADividir.split(separador);
                                   document.write('&lt;p&gt;La cadena original es: "' + cadenaADividir + '"');
                                   document.write('&lt;p&gt;El separador es: "' + separador + '"');
                                   document.write("&lt;p&gt;El array tiene " + arrayDeCadenas.length + " elementos: ");<br>

                                   for (var i=0; i &lt; arrayDeCadenas.length; i++) {
                                      document.write(arrayDeCadenas[i] + " / ");
                                   }
                                }

                                var cadenaVerso = "Oh brave new world that has such people in it.";
                                var cadenaMeses = "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec";

                                var espacio = " ";
                                var coma = ",";

                                dividirCadena(cadenaVerso, espacio);
                                dividirCadena(cadenaVerso);
                                dividirCadena(cadenaMeses, coma);

                                Como resultado devuelve lo siguiente: <small>
                                La cadena original es: "Oh brave new world that has such people in it."
                                El separador es: " "
                                El array tiene 10 elementos: Oh / brave / new / world / that / has / such / people / in / it. /

                                La cadena original es: "Oh brave new world that has such people in it."
                                El separador es: "undefined"
                                El array tiene 1 elementos: Oh brave new world that has such people in it. /

                                La cadena original es: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec"
                                El separador es: ","
                                El array tiene 12 elementos: Jan / Feb / Mar / Apr / May / Jun / Jul / Aug / Sep / Oct / Nov / Dec /
                                </small>
                            </code>
                        </pre>
                        
                    </div>
                    
                    
                </div>       
            </div>
               
               
               
            
        </div>
    </div>
   
     
     <!--Librería jQuery-->
<script src="//code.jquery.com/jquery-1.12.0.min.js"></script>
      
   <!--Link de la librería desde su CDN, si usted lo desea puede usar el archivo js descargado-->
<script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.1.0/highlight.min.js"></script>
<!--Código importante para que funcione nuestra librería-->
<script>
	$(document).ready(function() {
	  $('pre code').each(function(i, block) {
	    hljs.highlightBlock(block);
	  });
	});
</script>
   
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
</body>
</html>